#
#   - perl-PBS -
#   This spec file was automatically generated by cpan2rpm [ver: 2.027]
#   The following arguments were used:
#       --name=perl-PBS --no-prfx --spec=/home/rcf-00/garrick/rpm/SOURCES/perlpbs/src/perl-PBS.spec --spec-only --doc '=README LICENSE demos/pbsnodes-a demos/qstat-f demos/dumpmom' '--prologue=build:PBS_INCLUDE=/usr/include; PBS_LIB=/usr/lib/torque; export PBS_INCLUDE PBS_LIB' --epilogue=changelog:file:CHANGELOG --no-default-sec=changelog .
#   For more information on cpan2rpm please visit: http://perl.arix.com/
#

%define pkgname perl-PBS
%define filelist %{pkgname}-%{version}-filelist
%define NVR %{pkgname}-%{version}-%{release}
%define maketest 1

name:      perl-PBS
summary:   perl-PBS - Perl extension for PBS
version:   0.24
release:   1
vendor:    Garrick Staples <garrick@usc.edu>
packager:  Arix International <cpan2rpm@arix.com>
license:   Artistic
group:     Applications/CPAN
url:       http://www.cpan.org
buildroot: %{_tmppath}/%{name}-%{version}-%(id -u -n)
prefix:    %(echo %{_prefix})
source:    perl-PBS-0.24.tar.gz

%description
Perl wrapper extension for the PBS libraries (as from OpenPBS or Torque).  This
allows you to stat jobs, stat nodes, submit jobs, alter jobs, etc. all directly
from Perl.  Specifally, the "ifl", "rpp", and "rm" interfaces are supported;
but the "rpp" interface is untested.  Support for the "tm" API may come in a
future version.

#
# This package was generated automatically with the cpan2rpm
# utility.  To get this software or for more information
# please visit: http://perl.arix.com/
#

%prep
%setup -q -n %{pkgname}-%{version} 
chmod -R u+w %{_builddir}/%{pkgname}-%{version}

%build
PBS_INCLUDE=/usr/include; PBS_LIB=/usr/lib/torque; export PBS_INCLUDE PBS_LIB

grep -rsl '^#!.*perl' . |
grep -v '.bak$' |xargs --no-run-if-empty \
%__perl -MExtUtils::MakeMaker -e 'MY->fixin(@ARGV)'
CFLAGS="$RPM_OPT_FLAGS"
%{__perl} Makefile.PL `%{__perl} -MExtUtils::MakeMaker -e ' print qq|PREFIX=%{buildroot}%{_prefix}| if \$ExtUtils::MakeMaker::VERSION =~ /5\.9[1-6]|6\.0[0-5]/ '`
%{__make} 
%if %maketest
%{__make} test
%endif

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%{makeinstall} `%{__perl} -MExtUtils::MakeMaker -e ' print \$ExtUtils::MakeMaker::VERSION <= 6.05 ? qq|PREFIX=%{buildroot}%{_prefix}| : qq|DESTDIR=%{buildroot}| '`

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

# SuSE Linux
if [ -e /etc/SuSE-release -o -e /etc/UnitedLinux-release ]
then
    %{__mkdir_p} %{buildroot}/var/adm/perl-modules
    %{__cat} `find %{buildroot} -name "perllocal.pod"`  \
        | %{__sed} -e s+%{buildroot}++g                 \
        > %{buildroot}/var/adm/perl-modules/%{name}
fi

# remove special files
find %{buildroot} -name "perllocal.pod" \
    -o -name ".packlist"                \
    -o -name "*.bs"                     \
    |xargs -i rm -f {}

# no empty directories
find %{buildroot}%{_prefix}             \
    -type d -depth                      \
    -exec rmdir {} \; 2>/dev/null

%{__perl} -MFile::Find -le '
    find({ wanted => \&wanted, no_chdir => 1}, "%{buildroot}");
    print "%doc README LICENSE demos/pbsnodes-a demos/qstat-f demos/dumpmom";
    for my $x (sort @dirs, @files) {
        push @ret, $x unless indirs($x);
        }
    print join "\n", sort @ret;

    sub wanted {
        return if /auto$/;

        local $_ = $File::Find::name;
        my $f = $_; s|^\Q%{buildroot}\E||;
        return unless length;
        return $files[@files] = $_ if -f $f;

        $d = $_;
        /\Q$d\E/ && return for reverse sort @INC;
        $d =~ /\Q$_\E/ && return
            for qw|/etc %_prefix/man %_prefix/bin %_prefix/share|;

        $dirs[@dirs] = $_;
        }

    sub indirs {
        my $x = shift;
        $x =~ /^\Q$_\E\// && $x ne $_ && return 1 for @dirs;
        }
    ' > %filelist

[ -z %filelist ] && {
    echo "ERROR: empty %files listing"
    exit -1
    }

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%pre

%preun

%post

%postun

%files -f %filelist
%defattr(-,root,root)

%changelog
* Wed Jul  6 2005 <garrick@usc.edu> 0.24
- make Makefile.PL detect mismatches in rpp_open()
- fix Makefile.PL to correctly regen PBS_wrap.c
- pbstop, configurable node sorting
- pbstop, bump version to 4.13

* Mon Jun 27 2005 <garrick@usc.edu> 0.23
- dist, no changes

* Wed Apr 13 2005 <garrick@usc.edu> 0.22
- pbstop, more speed tweaks
- pbstop, some minor drawing fixes

* Tue Apr 12 2005 <garrick@usc.edu> 0.21
- pbstop, finally fix subwin flicker and corruption
- pbstop, support transparent terminals
- pbstop, bump version to 4.11

* Mon Apr 11 2005 <garrick@usc.edu> 0.20
- support for pbse_to_txt()
- pbstop, use pbse_to_txt() in a few places
- pbstop, calculate subwin size correctly
- pbstop, auto-scale grid to term width
- pbstop, delete, hold, release, rerun jobs
- pbstop, offline, clear nodes
- pbstop, profiled and optimized (save 2 seconds on large clusters!)
- pbstop, print nicer error messages
- pbstop, bump version to 4.10

* Tue Nov  2 2004 <garrick@usc.edu> 0.19
- catch failed malloc/calloc's
- convert strdup()s to malloc/strcpy()s (strdup isn't in POSIX)
- add some bits to Makefile.PL to catch PBSPro and whine to the user

* Sat Oct 23 2004 <garrick@usc.edu> 0.18
- parsing dots in struct attrl/attropl inputs was broken
  (but now I know that submitting jobs works!)

* Thu Oct 20 2004 <garrick@usc.edu> 0.17
- pbstop, fixed job running in summary
- pbstop, bump version to 4.05

* Wed Oct 19 2004 <garrick@usc.edu> 0.16
- pbstop, more shortcuts between subwins

* Tue Oct 19 2004 <garrick@usc.edu> 0.15
- pbstop, show number of sessions in the nodeload report
- pbstop, fixed backspacing in getstring()
- pbstop, bump version to 4.04

* Sun Oct 17 2004 Garrick Staples <garrick@usc.edu> 0.14
- pbstop, removed 3 second sleep in printwarning()
- pbstop, subwins can now be longer than the main pad
- pbstop, slight mod to the nodeload report subwin appearance
- pbstop, in nodeload report subwin, display MB instead of KB
- pbstop, search strings now have ~patterns (like in mutt)
- pbstop, getstring() now loops around getch(), so now ctrl-g
  will cancel input (also like mutt)
- pbstop, bump version to 4.03

* Fri Oct 15 2004 Garrick Staples <garrick@usc.edu> 0.13
- Fixed the memory leak!  Yah!

* Fri Oct 15 2004 Garrick Staples <garrick@usc.edu> 0.12
- fixed cpan2rpm, added a local copy, drop perl-PBS-spec.in
- Makefile.PL cleanups, minor README edits

* Thu Oct 14 2004 Garrick Staples <garrick@usc.edu> 0.11
- make rpp.h conditional
- make rm.h conditional
- reorganized Makefile.PL a bit
- minor README edits

* Wed Oct 13 2004 Garrick Staples <garrick@usc.edu> 0.10
- pbstop, refined the object detail subpads
- pbstop, detail subpads will now refresh with the rest of pbstop
- pbstop, added a job nodeload report
- pbstop, added the ability to limit jobs to a specific user
- pbstop, handle sigwinch - finally!
- pbstop, use defined constants from pbs_ifl.h where possible
- pbstop, bumped to 4.02

* Sun Oct 10 2004 Garrick Staples <garrick@usc.edu> 0.09
- minor doc edits

* Sun Oct 10 2004 Garrick Staples <garrick@usc.edu> 0.08
- bumped pbstop to 4.01
- added search ability to display details of objects in pbstop

* Thu Sep 30 2004 Garrick Staples <garrick@usc.edu> 0.07
- move versioning into VERSION

* Wed Sep 29 2004 Garrick Staples <garrick@usc.edu> 0.06
- rm.pm and rpp.pm added
- spec and rpm make targets
- updated demos and added dumpmom
- updated pbstop to work without perl-PBS
- updated pbstop for enhanced testing modes
- pod docs for all modules and pbstop
- updated README, added TODO and this CHANGELOG

